<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml" xmlns:xs="http://www.w3.org/2001/XMLSchema" version="2.0">
    <xsl:output indent="yes"/>
    <xsl:template match="/">
        <xsl:variable name="locs" select="//loc"/>
        <xsl:variable name="lats" select="//latitude"/>
        <xsl:variable name="lons" select="//longitude"/>
        <xsl:for-each select="1 to count($locs)">  
            <xsl:variable name="index" select="current()"/>
            function m<xsl:value-of select="$index"/> () {                    
            //<xsl:value-of select="$locs[$index]/name"/>
                var lookAt = ge.createLookAt('');                    
                lookAt.setLatitude(<xsl:value-of select="$lats[$index]"/>);
                lookAt.setLongitude(<xsl:value-of select="$lons[$index]"/>);
                lookAt.setRange(550000);
                lookAt.setTilt(15.0);
                ge.getView().setAbstractView(lookAt);                      
            }
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>